### Method

# Clutter Stage paint_to_buffer

#### Declaration [src]

    gboolean
    clutter_stage_paint_to_buffer (
      ClutterStage* stage,
      const MtkRectangle* rect,
      float scale,
      uint8_t* data,
      int stride,
      CoglPixelFormat format,
      ClutterPaintFlag paint_flags,
      GError** error
    )

#### Description [src]

Take a snapshot of the stage to a provided buffer.

#### Parameters

`rect`

  Type: `MtkRectangle`

  A rectangle.

  The data is owned by the caller of the method.

`scale`

  Type: `float`

  The scale.

`data`

  Type: An array of `guint8`

  A pointer to the data.

  The data is owned by the caller of the method.

`stride`

  Type: `int`

  Stride of the image surface.

`format`

  Type: `CoglPixelFormat`

  The pixel format.

`paint_flags`

  Type: `ClutterPaintFlag`

  The `ClutterPaintFlag`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` is the buffer has been paint successfully, `FALSE` otherwise.